Bug 140990 - USB device won't connect
Summary: USB device won't connect
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-27 15:22 UTC by Mike Duncan
Modified: 2015-01-04 22:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 01:31:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Duncan 2004-11-27 15:22:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have a USB thumb drive/mp3 player that uses SD memory.  This works
fine under FC1.  When I connect it, I get the following from dmesg:

Nov 27 09:05:35 localhost kernel: usb 4-1: USB disconnect, address 3
Nov 27 09:05:46 localhost kernel: usb 4-1: new full speed USB device
using address 4
Nov 27 09:05:47 localhost kernel: usb-storage: probe of 4-1:1.0 failed
with error -1

It will also recognize when I have disconnected the device:

usb 4-1: USB disconnect, address 3

However, it will never create the /dev entry, and I can see no devices
for it under /sys/block/sda

Version-Release number of selected component (if applicable):
USB 1.1

How reproducible:
Always

Steps to Reproduce:
1.  boot up
2.  insert USB drive
3.  examine /var/log/messages or dmesg
    

Actual Results:  I get no access to my USB device

Expected Results:  I should be able to mount my USB device as a block
device

Additional info:

Comment 1 Harald Hoyer 2004-11-29 11:12:47 UTC
Hmm, kernel module usb-storage does not like the device...
Nov 27 09:05:47 localhost kernel: usb-storage: probe of 4-1:1.0 failed
with error -1

reassigning to kernel

Comment 2 Mike Duncan 2004-12-11 18:50:44 UTC
I just finished downloading and burning the latest Knoppix (v3.7) CD,
and plugging in my USB device does work under Knoppix, when running
the 2.6.9 kernel.

It is recognized as /dev/uba1

Comment 3 David Kaplan 2004-12-29 18:48:37 UTC
I have this same problem with the same probe error -1 using a palm
Tungsten E with an SD card that is configured to act as a pluggable
drive.  I am currently using the kernel-2.6.9-1.667 as the
kernel-2.6.9-1.681_FC3 is unable to sync with the PDA (there is
another bug report for that).


Comment 4 David Kaplan 2005-01-04 03:04:05 UTC
This problem persists for me using the 667, 681 and 724 kernels.  

Regarding comment #2: Mike - is there any way that you could get the
source code to the usb-storage driver on Knoppix so that we can look
at the differences it has with respect to the fedora driver.  Perhaps
that will indicate the problem.  Thanks.


Comment 5 Mike Duncan 2005-01-04 19:30:40 UTC
The usb-storage driver is part of the kernel source now.  Knoppix does
use a package called usbutils, version 0.11+cvs20040318-3.

Also, I've found a site that seems to store the Knoppix source code:

http://developer.linuxtag.net/knoppix/sources/

Hope that helps.  I can say, though, that I did not find the usbutils
package listed there.  Nor did I find the kernel source for the
current 3.7 Knoppix distro (2.6.8.1).

Comment 6 David Kaplan 2005-01-12 01:25:54 UTC
This now works as of the latest official kernel (2.6.10-1.737_FC3). 
Kudos!



Note You need to log in before you can comment on or make changes to this bug.